(Résolu) Upgrade vers Yunohost 3

,

Bonsoir,

j’ai tenté de faire l’upgrade vers Yunohost 3, mais je ne sais pas si cela s’est bien passé. En effet, quand je fais :

yunohost --version

J’obtiens :

yunohost: 
  repo: now
  version: 2.7.14.5
yunohost-admin: 
  repo: stable
  version: 3.0.0
moulinette: 
  repo: stable
  version: 3.0.0
ssowat: 
  repo: stable
  version: 3.0.0

et

root@arnauld:~# lsb_release -a
No LSB modules are available.
Distributor ID:	Raspbian
Description:	Raspbian GNU/Linux 9.4 (stretch)
Release:	9.4
Codename:	stretch

et après avoir terminé la migration j’ai aussi :

Résolu par une installation propre de Yunohost 3 sans passer par l’upgrade.

I upgrade a while ago and I have nearly the same output:

yunohost:

repo: now
version: 2.7.14
yunohost-admin:
repo: stable
version: 3.0.0
moulinette:
repo: stable
version: 3.0.0
ssowat:
repo: stable
version: 3.0.0

Is there a way without a clean installation of Yunohost 3 (and not going through the upgrades)?

Yes,

if you have the log of the end of the migration, please show them.

Otherwise, you can try to apt-get install yunohost=3.0.0.1

Thank you for the quick reply.
If the log is still available I can’t find it. :slight_smile:
So I try the apt-get method and now all the apps titles lead to “502 Bad Gateway”. :frowning:

Can you please show the logs of the command you ran then ? :s

Of cource. Sorry for the dump question, what is the best way to do so?
I’m relative new to linux and find a bunch of logs.

this was the termial output:

    root@MyDomain-server:~# apt-get install yunohost=3.0.0.1
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  archivemount fuse libfuse2 libmilter1.0.1 libopendkim9 php5-fpm php5-intl php5-ldap php5-mcrypt rmilter
Verwenden Sie »apt autoremove«, um sie zu entfernen.
The following additional packages will be installed:
  unscd
Vorgeschlagene Pakete:
  htop vim acpi-support-base udisks2
Die folgenden Pakete werden ENTFERNT:
  nscd
Die folgenden NEUEN Pakete werden installiert:
  unscd
Die folgenden Pakete werden aktualisiert (Upgrade):
  yunohost
1 aktualisiert, 1 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
Es müssen 287 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 415 kB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] j
Holen:1 http://forge.yunohost.org/debian stretch/stable armhf yunohost all 3.0.0.1 [267 kB]
Holen:2 http://forge.yunohost.org/debian stretch/stable armhf unscd armhf 0.53-1+yunohost [19,8 kB]
Es wurden 287 kB in 0 s geholt (525 kB/s).
Lese Changelogs... Fertig
(Lese Datenbank ... 60375 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../yunohost_3.0.0.1_all.deb ...
Entpacken von yunohost (3.0.0.1) über (2.7.14) ...
(Lese Datenbank ... 60375 Dateien und Verzeichnisse sind derzeit installiert.)
Entfernen von nscd (2.24-11+deb9u3) ...
Vormals nicht ausgewähltes Paket unscd wird gewählt.
(Lese Datenbank ... 60367 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../unscd_0.53-1+yunohost_armhf.deb ...
Entpacken von unscd (0.53-1+yunohost) ...
Trigger für systemd (232-25+deb9u2) werden verarbeitet ...
unscd (0.53-1+yunohost) wird eingerichtet ...
Neue Version der Konfigurationsdatei /etc/nscd.conf wird installiert ...
Lege Gruppe »unscd« (GID 130) an ...
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
Fertig.
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
cannot connect to /var/run/nscd/socket
Created symlink /etc/systemd/system/multi-user.target.wants/unscd.service → /lib/systemd/system/unscd.service.
Trigger für man-db (2.7.6.1-2) werden verarbeitet ...
yunohost (3.0.0.1) wird eingerichtet ...
Regenerating configuration, this might take a while...
Erfolg! Die Konfigurationsdatei wurde für den Service postfix aktualisiert
Erfolg! Die Konfigurationsdatei wurde für den Service rspamd aktualisiert
Erfolg! Die Konfigurationsdatei wurde für den Service nginx aktualisiert
Erfolg! Die Konfigurationsdatei wurde für den Service dnsmasq aktualisiert
Warnung: Die Konfigurationsdatei /etc/fail2ban/jail.conf wurde manuell verändert und wird nicht aktualisiert
Erfolg! Die Konfigurationsdatei wurde für den Service dovecot aktualisiert
Launching migrations..
Warnung: Running migration 4 php5_to_php7_pools...
Failed to restart php7.0-fpm.service: Unit php7.0-fpm.service is masked.
Synchronizing state of php7.0-fpm.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable php7.0-fpm
Failed to enable unit: Unit file /etc/systemd/system/php7.0-fpm.service is masked.
Synchronizing state of php5-fpm.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install disable php5-fpm
insserv: warning: current start runlevel(s) (empty) of script `php5-fpm' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `php5-fpm' overrides LSB defaults (0 1 6).
insserv: warning: current start runlevel(s) (empty) of script `php5-fpm' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `php5-fpm' overrides LSB defaults (0 1 6).
Warnung: Running migration 5 postgresql_9p4_to_9p6...
Warnung: Postgresql was not installed on your system. Nothing to do!
Restarting YunoHost firewall...
update-rc.d: error: no runlevel symlinks to modify, aborting!
Trigger für systemd (232-25+deb9u2) werden verarbeitet ...
root@MyDomain-server:~# yunohost --version
yunohost:
  repo: stable
  version: 3.0.0.1
yunohost-admin:
  repo: stable
  version: 3.0.0
moulinette:
  repo: stable
  version: 3.0.0
ssowat:
  repo: stable
  version: 3.0.0
root@MyDomain-server:~# sudo reboot

Uhokay, for some reason php7.0 is “masked”.

Can you try to run “systemctl unmask php7.0-fpm” then “systemctl start php7.0-fpm” ?

I did.
Restarted and nothing changed for the existing apps.
A just new installed app title works fine.

Then can you show the output of “systemctl status php7.0-fpm” ?

root@MyDomain-server:~# systemctl status php7.0-fpm

● php7.0-fpm.service - LSB: starts php7.0-fpm
Loaded: loaded (/etc/init.d/php7.0-fpm; generated; vendor preset: enabled)
Active: active (exited) since Sun 2018-07-01 15:17:06 CEST; 20min ago
Docs: man:systemd-sysv-generator(8)
CGroup: /system.slice/php7.0-fpm.service

Jul 01 15:17:06 MyDomain-server systemd[1]: Starting LSB: starts php7.0-fpm…
Jul 01 15:17:06 MyDomain-server systemd[1]: Started LSB: starts php7.0-fpm.

Hmmm so nothing changed to the other apps ? Can you cite a few examples ? (Maybe a systemctl reload nginx can help, but I doubt)

Nothing changed, but thank you for your help anywere.
I Think I will restore my Backup and stay on version 2.7.14 for now.
In a few weeks I will switch from a Raspberry to a better (not ARM) virtual Linux on an NAS and will do a clean install.